aboutsummaryrefslogtreecommitdiffstats
path: root/packages/all-poky-linux/run-postinsts/run-postinsts
diff options
context:
space:
mode:
Diffstat (limited to 'packages/all-poky-linux/run-postinsts/run-postinsts')
-rw-r--r--packages/all-poky-linux/run-postinsts/run-postinsts/latest8
-rw-r--r--packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_postinst24
-rw-r--r--packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_prerm9
3 files changed, 41 insertions, 0 deletions
diff --git a/packages/all-poky-linux/run-postinsts/run-postinsts/latest b/packages/all-poky-linux/run-postinsts/run-postinsts/latest
new file mode 100644
index 000000000000..c97ffaae2538
--- /dev/null
+++ b/packages/all-poky-linux/run-postinsts/run-postinsts/latest
@@ -0,0 +1,8 @@
+PV = 1.0
+PR = r10
+RPROVIDES =
+RDEPENDS =
+RRECOMMENDS =
+PKGSIZE = 2349
+FILES = /usr/bin/* /usr/sbin/* /usr/libexec/* /usr/lib/lib*.so.* /etc /com /var /bin/* /sbin/* /lib/*.so.* /lib/udev /usr/lib/udev /lib/udev /usr/lib/udev /usr/share/run-postinsts /usr/lib/run-postinsts/* /usr/share/pixmaps /usr/share/applications /usr/share/idl /usr/share/omf /usr/share/sounds /usr/lib/bonobo/servers /lib/systemd/system-preset/98-run-postinsts.preset /lib/systemd/system/run-postinsts.service
+FILELIST = /lib/systemd/system-preset/98-run-postinsts.preset /lib/systemd/system/run-postinsts.service /usr/sbin/run-postinsts
diff --git a/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_postinst b/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_postinst
new file mode 100644
index 000000000000..7db0f819ca5f
--- /dev/null
+++ b/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ OPTS=""
+
+ if [ -n "$D" ]; then
+ OPTS="--root=$D"
+ fi
+
+ if [ "enable" = "enable" ]; then
+ for service in run-postinsts.service; do
+ systemctl ${OPTS} enable "$service"
+ done
+ fi
+
+ if [ -z "$D" ]; then
+ systemctl daemon-reload
+ systemctl preset run-postinsts.service
+
+ if [ "enable" = "enable" ]; then
+ systemctl --no-block restart run-postinsts.service
+ fi
+ fi
+fi
diff --git a/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_prerm b/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_prerm
new file mode 100644
index 000000000000..794648af9d58
--- /dev/null
+++ b/packages/all-poky-linux/run-postinsts/run-postinsts/latest.pkg_prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ if [ -z "$D" ]; then
+ systemctl stop run-postinsts.service
+
+ systemctl disable run-postinsts.service
+ fi
+fi